//*******************************************************************************************************************
//
//  Author(s)...: DOOMSDAY
//
//  Target(s)...: STM8l
//
//  Compiler....: IAR EW for STM8
//
//  Description.:      STM8l-Discovery
//
//  Data........: 15.11.11 
//
//*******************************************************************************************************************

#ifndef LCD_H
#define LCD_H

#include "stdbool.h"
//     
#define A_ 6
#define B_ 2
#define C_ 5
#define D_ 4
#define E_ 0
#define F_ 7
#define G_ 3
#define H_ 15
#define J_ 14
#define K_ 10
#define M_ 1
#define N_ 12
#define P_ 8
#define Q_ 11
#define DP 13
#define COL 9


/***********************************************************************************
*   Function name :   LCD_Init
*   Returns :                
*   Parameters :          
*   Purpose :           LCD
************************************************************************************/
void LCD_Init(void);
/***********************************************************************************
*   Function name :   LCD_Contrast
*   Returns :                
*   Parameters :      cntr -   0-7   
*   Purpose :           LCD
************************************************************************************/
void LCD_Contrast(unsigned char cntr);

/***********************************************************************************
*   Function name :   LCD_Char_Find
*   Returns :         cur_char - a 
*   Parameters :      * -   ASCII, 
*   Purpose :            
***********************************************************************************/
static unsigned int LCD_Char_Find(unsigned char* symb);

/***********************************************************************************
*   Function name :   LCD_Write_Char
*   Returns :                
*   Parameters :      *ch -  , point - . , column - ,
		      position -   
*   Purpose :               
***********************************************************************************/
void LCD_Write_Char(unsigned char* ch, bool point, bool column, unsigned char position);

/***********************************************************************************
*   Function name :   LCD_Write_String
*   Returns :                
*   Parameters :      * str -     
*   Purpose :          
***********************************************************************************/
void LCD_Write_String(unsigned char* str);

/***********************************************************************************
*   Function name :   LCD_Write_String
*   Returns :                
*   Parameters :      * str -     
*   Purpose :           
***********************************************************************************/
void LCD_Scroll(unsigned char* str);

/***********************************************************************************
*   Function name :   LCD_Write_Int
*   Parameters :      * n -   , point -  
*   Purpose :          
***********************************************************************************/
void LCD_Write_Int( long int* n, char point  );

/***********************************************************************************
*   Function name :   LCD_Write_
*   Parameters :      * n -   
*   Purpose :            hex 
***********************************************************************************/
void LCD_Write_Hex( long int* n );

/***********************************************************************************
*   Function name :   LCD_eWrite_Int
*   Parameters :      * n -   , point -  
                      l -   , 
                      x -   ;
*   Purpose :              
***********************************************************************************/
void LCD_eWrite_Int( long int* n, char point, int l, int x );

void show_All( void );

#endif //LCD_H